org.infinispan.schematic.internal.delta

## Class Operation

- java.lang.Object
- - org.infinispan.schematic.internal.delta.Operation

- Direct Known Subclasses:
    ArrayOperation, PutIfAbsentOperation, PutOperation, RemoveOperation

      @Immutable
      public abstract class Operation
      extends Object

  An atomic operation for SchematicValueDelta.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Path` | `parentPath`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Operation(Path parentPath, int hashCode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Operation` | `clone()`
    `protected Object` | `cloneValue(Object value)`
    `protected boolean` | `equalsIfNotNull(Object obj1, Object obj2)`
    `Path` | `getParentPath()`
    `int` | `hashCode()`
    `protected MutableDocument` | `mutableParent(MutableDocument delegate)`
    `abstract void` | `replay(MutableDocument delegate)`
    `abstract void` | `rollback(MutableDocument delegate)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parentPath

          protected final Path parentPath

  - ### Constructor Detail

    - #### Operation

          protected Operation(Path parentPath,
                   int hashCode)

  - ### Method Detail

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### replay

          public abstract void replay(MutableDocument delegate)

    - #### rollback

          public abstract void rollback(MutableDocument delegate)

    - #### getParentPath

          public Path getParentPath()

    - #### mutableParent

          protected MutableDocument mutableParent(MutableDocument delegate)

    - #### clone

          public abstract Operation clone()

      Overrides:
        `clone` in class `Object`

    - #### cloneValue

          protected Object cloneValue(Object value)

    - #### equalsIfNotNull

          protected boolean equalsIfNotNull(Object obj1,
                                Object obj2)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.